%define upstream_name Module-Install-ReadmeMarkdownFromPod
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Create README.mkdn from POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Module::Install)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Module::Install::ReadmeMarkdownFromPod is a Module::Install extension
that generates a "README.mkdn" file automatically from an indicated file
containing POD whenever the author runs "Makefile.PL". This file is used
by GitHub to display nicely formatted information about a repository.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-3.mga8
+ Revision: 1505197
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-2.mga7
+ Revision: 1284797
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.40.0-1.mga7
+ Revision: 1126052
- update to 0.04

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1030088
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 969423
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 868699
- imported package perl-Module-Install-ReadmeMarkdownFromPod

